将设为首页浏览此站
开启辅助访问 天气与日历 收藏本站联系我们切换到窄版

易陆发现论坛

 找回密码
 开始注册
查看: 500|回复: 2
收起左侧

openstack complete 出现 No module named v1_1处理过程

[复制链接]
发表于 2021-9-8 15:01:40 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?开始注册

x
[root@controller1 ~]# openstack complete " l  B! a, L& p  o
No module named v1_1
9 c' h% A0 J1 I2 X$ a[root@controller1 ~]# pip install os_diskconfig_python_novaclient_ext# ?# G; ~& Z, y, I8 o& a
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
& m, `, k! C- H! |6 f% s) r) OLooking in indexes: http://mirrors.aliyun.com/pypi/simple/
9 J4 X0 w" q# }* Q! G8 _' iCollecting os_diskconfig_python_novaclient_ext' ~# @; l) S' Y/ w
  Downloading http://mirrors.aliyun.com/pypi/packages/40/1f/3adee4a7fc4d0dd7bb4578ab71d99d2735f0f450bced42459e66c2f22322/os_diskconfig_python_novaclient_ext-0.1.3-py2-none-any.whl (3.9 kB)' D' ~  g/ K4 u* _0 j2 ?5 F) P
Requirement already satisfied: python-novaclient in /usr/lib/python2.7/site-packages (from os_diskconfig_python_novaclient_ext) (16.0.0)
; W* P" u( a% s5 v+ ?- jRequirement already satisfied: pbr!=2.1.0,>=2.0.0 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (5.5.1)- ^2 I- r4 E1 t5 V
Requirement already satisfied: keystoneauth1>=3.5.0 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (4.0.1)! Q9 E6 I+ V! e0 D4 J
Requirement already satisfied: oslo.i18n>=3.15.3 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (3.25.1)- Q- D: {- h* S/ y; s+ L# ^, e7 e
Requirement already satisfied: six>=1.10.0 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (1.16.0)
2 w6 }: t# X! bRequirement already satisfied: oslo.serialization!=2.19.1,>=2.18.0 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (2.29.3)
# x5 ]% b) [7 g" ~  [* G% |, q' iRequirement already satisfied: simplejson>=3.5.1 in /usr/lib64/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (3.10.0)6 J, F1 D9 ?" R3 H1 B
Requirement already satisfied: iso8601>=0.1.11 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (0.1.14)
* g9 ]: t3 |- l7 [2 h" q; y) j) T' BRequirement already satisfied: PrettyTable<0.8,>=0.7.2 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (0.7.2)
+ ?& Z) N" x4 r! U$ j9 XRequirement already satisfied: oslo.utils>=3.33.0 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (3.42.1). p2 w" I2 o7 L# n
Requirement already satisfied: Babel!=2.4.0,>=2.3.4 in /usr/lib/python2.7/site-packages (from python-novaclient->os_diskconfig_python_novaclient_ext) (2.9.0); \6 `% d' I- ~* H. l+ f3 v
Requirement already satisfied: stevedore>=1.20.0 in /usr/lib/python2.7/site-packages (from keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.32.0)
' {% T7 w9 o! IRequirement already satisfied: requests>=2.14.2 in /usr/lib/python2.7/site-packages (from keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (2.26.0)2 r; y2 R9 q$ k( p2 a3 S$ j. y
Requirement already satisfied: os-service-types>=1.2.0 in /usr/lib/python2.7/site-packages (from keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.7.0)
: `9 n5 ~0 K9 O7 x5 i0 gRequirement already satisfied: pytz>=2013.6 in /usr/lib/python2.7/site-packages (from oslo.serialization!=2.19.1,>=2.18.0->python-novaclient->os_diskconfig_python_novaclient_ext) (2021.1)
% m: w/ b" a9 H: M8 M( ?8 KRequirement already satisfied: PyYAML>=3.12 in /usr/lib64/python2.7/site-packages (from oslo.serialization!=2.19.1,>=2.18.0->python-novaclient->os_diskconfig_python_novaclient_ext) (5.4.1)5 i! C5 t/ b1 t2 e0 f& m
Requirement already satisfied: msgpack>=0.5.2 in /usr/lib/python2.7/site-packages (from oslo.serialization!=2.19.1,>=2.18.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.0.2)
0 g$ a! j% ^# G: O/ w( iRequirement already satisfied: netifaces>=0.10.4 in /usr/lib64/python2.7/site-packages (from oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (0.10.9)) A9 O$ e& G3 U& \
Requirement already satisfied: pyparsing>=2.1.0 in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (2.4.7)0 P1 k2 {# v+ K7 @6 U+ i3 X5 [+ y0 I
Requirement already satisfied: funcsigs>=1.0.0; python_version == "2.7" or python_version == "2.6" in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.0.2)
% t% S- @8 U" O, O5 K% }Requirement already satisfied: netaddr>=0.7.18 in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (0.8.0)
' N0 z+ z, X% WRequirement already satisfied: debtcollector>=1.2.0 in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.22.0)
3 k* b: \" J  P$ b, j4 f- v. [Requirement already satisfied: monotonic>=0.6; python_version < "3.3" in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.6)* C* k. h1 n0 U6 v- R
Requirement already satisfied: certifi>=2017.4.17 in /usr/lib/python2.7/site-packages (from requests>=2.14.2->keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (2021.5.30)
1 j  c/ ^1 ~3 d" S7 a% o( V  j8 URequirement already satisfied: urllib3<1.27,>=1.21.1 in /usr/lib/python2.7/site-packages (from requests>=2.14.2->keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.26.6)2 Y( j. S0 o- e, J
Requirement already satisfied: idna<3,>=2.5; python_version < "3" in /usr/lib/python2.7/site-packages (from requests>=2.14.2->keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (2.10): Y  [" V+ @# T9 I
Requirement already satisfied: chardet<5,>=3.0.2; python_version < "3" in /usr/lib/python2.7/site-packages (from requests>=2.14.2->keystoneauth1>=3.5.0->python-novaclient->os_diskconfig_python_novaclient_ext) (4.0.0)7 t' j- F: s9 O/ b
Requirement already satisfied: importlib-resources; python_version < "3.7" in /usr/lib/python2.7/site-packages (from netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (3.3.1). Q) L7 x( D+ e! [  }- z( y9 T& n
Requirement already satisfied: wrapt>=1.7.0 in /usr/lib64/python2.7/site-packages (from debtcollector>=1.2.0->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.12.1)  S7 ]2 V( s7 G1 r9 ?& X
Requirement already satisfied: singledispatch; python_version < "3.4" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (3.6.1)4 u  k( W* y8 x
Requirement already satisfied: zipp>=0.4; python_version < "3.8" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.2.0)
& }& F& `* p0 A5 J2 JRequirement already satisfied: pathlib2; python_version < "3" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (2.3.5)0 K* Q0 z$ B' `0 Y, _; W
Requirement already satisfied: contextlib2; python_version < "3" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (0.6.0.post1): r5 \! A7 B' h8 Z, R
Requirement already satisfied: typing; python_version < "3.5" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (3.7.4.3)8 m6 P+ ?$ s7 b
Requirement already satisfied: scandir; python_version < "3.5" in /usr/lib64/python2.7/site-packages (from pathlib2; python_version < "3"->importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-novaclient->os_diskconfig_python_novaclient_ext) (1.10.0)
5 O1 F# F8 S7 k& Z' XInstalling collected packages: os-diskconfig-python-novaclient-ext" F& y( A$ g% j2 p( m' J, z$ z& B
Successfully installed os-diskconfig-python-novaclient-ext-0.1.34 r5 }7 m, T5 P/ k4 L! Z  q
[root@controller1 ~]# openstack complete
- m  R8 l, Q5 m3 n- ANo module named v1_1
' c+ j; Y. x: u$ \* D: Y( ?9 V[root@controller1 ~]# pip uninstall rax_default_network_flags_python_novaclient_ext' Q% `5 C* U- W1 k& |& x
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
( k( Z* F# T: [/ I8 XWARNING: Skipping rax-default-network-flags-python-novaclient-ext as it is not installed.( b0 ]0 |/ L. `3 ]  p; x# g  H
[root@controller1 ~]# pip uninstall os_diskconfig_python_novaclient_ext
1 u& S$ f8 M  W$ R5 P* A2 _& SDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
) p# e" U4 P6 \Found existing installation: os-diskconfig-python-novaclient-ext 0.1.3- y6 B7 a7 }) I
Uninstalling os-diskconfig-python-novaclient-ext-0.1.3:
, S. g2 n3 `/ z  Would remove:& O4 {0 ~! o3 r4 E- `. U
    /usr/lib/python2.7/site-packages/os_diskconfig_python_novaclient_ext-0.1.3.dist-info/*
) J5 v& d& n$ p$ b    /usr/lib/python2.7/site-packages/os_diskconfig_python_novaclient_ext/*
# x! P4 B. M. b! G+ {Proceed (y/n)? y
! E+ _: x9 r' C  Successfully uninstalled os-diskconfig-python-novaclient-ext-0.1.30 i" ?0 c! ]7 a3 ?# m! r

9 z9 {0 G. |/ x, A& K, U
  w' p0 z4 p( [9 r( j) @! q2 r( {Found existing installation: os-diskconfig-python-novaclient-ext 0.1.3
( v0 b. B: X+ F: a0 @Uninstalling os-diskconfig-python-novaclient-ext-0.1.3:7 p+ z, b7 Y+ I6 S% s6 g
  Would remove:
# q& p  N5 p% N2 P+ a2 @    /usr/lib/python2.7/site-packages/os_diskconfig_python_novaclient_ext-0.1.3.dist-info/*
( n% r" _9 s, @0 x' t& S    /usr/lib/python2.7/site-packages/os_diskconfig_python_novaclient_ext/*
% K* c7 L& X6 J4 N# FProceed (y/n)? y( {" `$ O4 S, f: R5 l/ N, P) a
  Successfully uninstalled os-diskconfig-python-novaclient-ext-0.1.3
4 ?9 Z8 @9 o6 e' g0 D# B# _) z0 Y4 l" c  e' T9 x/ B
再次执行,依然是原来的错误:
; J" W7 }3 R# U! J) x4 t[root@controller1 ~]# openstack complete 3 f. {4 ^9 _3 S3 {. H
No module named v1_1
& Q  ]: m% b1 k& r+ @8 B[root@controller1 ~]# sudo pip uninstall rackspace-novaclient: x0 _$ J5 {( c/ ?* @
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
$ X0 T! b* J, {# f4 w: XWARNING: Skipping rackspace-novaclient as it is not installed.2 `/ R# }* P2 N! _4 u
[root@controller1 ~]# openstack complete
) n; o6 Y: U! V% l6 ENo module named v1_1
0 N& [( C) k% z1 D5 u& o! U( l8 r, E+ W5 `: w
0 u* P% q3 e% t6 D
暂时无解,只能考虑卸载之前安装的插件了。3 i( Q9 F- P6 W* ]; B

/ e6 x' S8 V# x4 x, V8 j[root@controller1 ~]# pip uninstall rax_default_network_flags_python_novaclient_ext8 F( Q* w$ Q/ I+ N' t
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.6 r2 Q* n" i( h8 H; c/ l- G( ]
WARNING: Skipping rax-default-network-flags-python-novaclient-ext as it is not installed., F' V( M5 S7 [2 p9 |/ K' A
[root@controller1 ~]# pip uninstall os_diskconfig_python_novaclient_ext5 W2 J7 u# P& o
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
1 E- |3 Y( f5 H; Q* Z. U( `" x( j2 I! sFound existing installation: os-diskconfig-python-novaclient-ext 0.1.3! ~8 D' L0 w9 H6 ?/ w4 H
Uninstalling os-diskconfig-python-novaclient-ext-0.1.3:+ I* r' Q) I- k& B: c  B+ F
  Would remove:. L: ]( K% T# i' z! Y+ f, ]" Q: t
    /usr/lib/python2.7/site-packages/os_diskconfig_python_novaclient_ext-0.1.3.dist-info/*. w6 {1 k1 W  o
    /usr/lib/python2.7/site-packages/os_diskconfig_python_novaclient_ext/*! t. m% V: O( W- b  \% s$ p. a
Proceed (y/n)? y
! X# o' a( B8 O  Successfully uninstalled os-diskconfig-python-novaclient-ext-0.1.3" r- [" e8 S, b9 X6 D6 V
[root@controller1 ~]# openstack complete
2 [) L( S) q. p+ l4 p% U. qNo module named v1_1
6 {& y' e' N9 o' ]! G, q) u1 ~% V6 D# F[root@controller1 ~]# sudo pip uninstall rackspace-novaclient
" E; Q6 O% a; j3 QDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.; R$ c  ]2 L9 Y$ I
WARNING: Skipping rackspace-novaclient as it is not installed.
6 c7 Z* p4 J: c6 u& u9 c# h* n) B[root@controller1 ~]# openstack complete9 G" {: O( i* q4 u7 n5 ]- I9 ~* n
No module named v1_1* q* P7 E; g4 P9 [7 r; K
[root@controller1 ~]# pip uninstall python-openstackclient! [! I+ y6 U1 S: k9 H5 H. c3 h
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
" z) L& a5 j/ g& v, h9 r+ ?Found existing installation: python-openstackclient 1.9.0
* Y. H$ ^7 A7 e/ y- g5 lUninstalling python-openstackclient-1.9.0:8 G2 l% Q! `; ]& ^
  Would remove:/ b( y* E. i/ |; V
    /usr/bin/openstack
1 p" o$ {% |; A( B    /usr/lib/python2.7/site-packages/openstackclient/*
, I- |3 R) o6 R. b  X, s8 E0 L2 s    /usr/lib/python2.7/site-packages/python_openstackclient-1.9.0.dist-info/*
" d3 _9 R7 a# K* _7 R, w( mProceed (y/n)? y
2 `/ z& U/ T: V3 P3 _1 {  Successfully uninstalled python-openstackclient-1.9.0$ z5 x2 w0 L; N* A( _
[root@controller1 ~]# pip help uninstall
/ y. L2 a/ q( Y5 SDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.# ^7 g+ K9 M) W9 |9 i# ~; X2 Z' }
Usage:   
# |/ X  _+ P/ `3 b  pip uninstall [options] <package> ...; a- ?- I- M( Q* b! ^
  pip uninstall [options] -r <requirements file> ...! c4 ?+ J% @4 ~& x
Description:
3 P5 Y# K) X6 n. y0 Z" o. J  Uninstall packages.
& L5 d0 w( |) x  
6 i  T+ t" x' w  pip is able to uninstall most installed packages. Known exceptions are:
; ?4 ?' `6 J( z  * z! W- Z7 G9 V6 C8 _, D; c
  - Pure distutils packages installed with ``python setup.py install``, which
  m: `" M  {; k3 _/ G( @    leave behind no metadata to determine what files were installed.
- R) Z9 R# ?' Q  - Script wrappers installed by ``python setup.py develop``.' ]6 }& {% |) A
Uninstall Options:
# B4 _! S3 p+ A; n: ^8 ?& e  k  -r, --requirement <file>    Uninstall all the packages listed in the given requirements file.  This option can be used multiple times.
# v. B$ |; I' l0 d, H: @  -y, --yes                   Don't ask for confirmation of uninstall deletions.
7 z) H! [. ?, k; V$ k8 ?( p) R% cGeneral Options:6 W$ }# `5 w* I- O. v5 p4 e3 e
  -h, --help                  Show help.$ S# `# ~9 ?) K& N6 @! f
  --isolated                  Run pip in an isolated mode, ignoring environment variables and user configuration.
5 ]. i6 ]  g4 w6 A7 N  F  -v, --verbose               Give more output. Option is additive, and can be used up to 3 times.
1 B7 P* X7 r6 F& L1 R, Q7 `2 W9 ~  -V, --version               Show version and exit.1 t- b2 k* G9 V. }) x( e# w
  -q, --quiet                 Give less output. Option is additive, and can be used up to 3 times (corresponding to WARNING, ERROR, and CRITICAL logging levels).8 [. |, _- R4 h& X, S, @% {
  --log <path>                Path to a verbose appending log.
% S$ r1 Z/ @+ L: g* V5 H( ?6 Z/ }  --no-input                  Disable prompting for input.
2 `- ]( x! o! |4 r  --proxy <proxy>             Specify a proxy in the form [user:passwd@]proxy.server:port.
7 c8 n" W  p6 ^) p# s+ P' \  --retries <retries>         Maximum number of retries each connection should attempt (default 5 times).
* ?2 Q: R- ?8 @. i9 d+ }  --timeout <sec>             Set the socket timeout (default 15 seconds).8 ?2 i! Z; i% g+ t
  --exists-action <action>    Default action when a path already exists: (s)witch, (i)gnore, (w)ipe, (b)ackup, (a)bort./ x0 ^1 E, O$ ^/ P5 Z* [0 e# t1 [
  --trusted-host <hostname>   Mark this host or host:port pair as trusted, even though it does not have valid or any HTTPS.
' C2 Z4 g$ ?* T) @# G: S  --cert <path>               Path to alternate CA bundle.8 W0 e' P3 j# `6 T% T4 T& e
  --client-cert <path>        Path to SSL client certificate, a single file containing the private key and the certificate in PEM format.
# k. \" J, {! i1 @6 M  --cache-dir <dir>           Store the cache data in <dir>.
: @1 O! D; \& _$ o- x  --no-cache-dir              Disable the cache.# z1 [0 B# I  H9 Y( _4 }! O* C
  --disable-pip-version-check' D+ ~+ g& L+ g* L
                              Don't periodically check PyPI to determine whether a new version of pip is available for download. Implied with --no-index.
# p& x, w- j. o3 H" J  --no-color                  Suppress colored output.
$ G7 @7 b6 A7 Z% Y) o1 ^  --no-python-version-warning
& h  ]2 F9 v4 @; v                              Silence deprecation warnings for upcoming unsupported Pythons.
0 i# Y+ L- c: W& c; ^" ~. M  --use-feature <feature>     Enable new functionality, that may be backward incompatible.
' a8 }3 T  ~3 n- k3 h  --use-deprecated <feature>  Enable deprecated functionality, that will be removed in the future.
# w) g# Y: v5 G2 O# V[root@controller1 ~]# pip uninstall python-openstackclient5 ]" e) f" s: ?7 G: R' |# i) N6 A4 l, h
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.: t. O% Y$ _  C( Q2 y' B0 J
WARNING: Skipping python-openstackclient as it is not installed.
" U3 Q5 e6 f0 _4 P, s4 j5 v[root@controller1 ~]# pip uninstall  neutron! U, E* Y) a$ n9 Y
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.+ g9 p3 ^$ c% \4 v5 K. N
WARNING: Skipping neutron as it is not installed.2 H' e/ h+ z+ w
[root@controller1 ~]# pip uninstall neutron+ [, c: O/ s6 A- d: r" D
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
% \  ^" U! e$ v  I- e' rWARNING: Skipping neutron as it is not installed.
6 o! n/ R! o+ K& f/ v! Z9 ?8 Z
6 A5 V9 y5 S3 L% L0 \5 O4 ]3 Y! _3 W
[root@controller1 ~]# pip uninstall pyroute2: e) z' N  P  M- x
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.& L5 R' N$ c, }. X  K) h
WARNING: Skipping pyroute2 as it is not installed.
8 k! D+ G' Y% H  M( V! q[root@controller1 ~]# pip uninstall "pyroute2"
9 p0 k' g6 R. r% h; HDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
" {' t" ^' x8 w2 @( ^WARNING: Skipping pyroute2 as it is not installed.
( k# q7 k% Z) G9 x& U; A[root@controller1 ~]# pip uninstall "pyroute2*"& b6 m' Q0 }& a, _6 n
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
7 L4 E* R" Y% bERROR: Invalid requirement: 'pyroute2*'1 i) N9 s0 S7 }/ [% W) H
[root@controller1 ~]# pip uninstall "pyroute2"/ m* O) }# Z* `
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
* M, y' I3 ~. i$ _: }& p! M8 a0 I! QWARNING: Skipping pyroute2 as it is not installed.
% }( a/ R+ {% C( w5 H- ^[root@controller1 ~]# pip uninstall python-openstackclient python-glanceclient python-neutronclient1 c9 l8 f; m; u9 a1 x1 U5 f' {
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.! n, s1 m4 }9 \" B2 ?
Found existing installation: python-neutronclient 7.1.05 s! l1 p0 k) H# ^8 {" B# z
Uninstalling python-neutronclient-7.1.0:
7 b0 g$ q  ?  J3 ]9 X- o3 {) ^7 Q; J/ b  Would remove:$ x% s8 ]1 g  V* F6 k' X% R
    /usr/bin/neutron0 s& ]. e4 t& J" s5 a
    /usr/lib/python2.7/site-packages/neutronclient/*
% o9 h, n8 S5 i6 S    /usr/lib/python2.7/site-packages/python_neutronclient-7.1.0.dist-info/*! }. I# e2 d5 u2 ^: ~4 F
Proceed (y/n)? y, S4 z' P3 M: L  L
  Successfully uninstalled python-neutronclient-7.1.04 X7 m. ?  B) S) n
WARNING: Skipping python-openstackclient as it is not installed.: A: T( O7 q8 ?# v# H
Found existing installation: python-glanceclient 3.0.0  G# o. h$ a- C" O! W; a" A9 f
Uninstalling python-glanceclient-3.0.0:) `& x5 J, T- ^3 l  W6 P  f; R
  Would remove:: Q0 C) t* w+ `' f9 u  f
    /usr/bin/glance2 H3 \# S" f0 H. g
    /usr/lib/python2.7/site-packages/glanceclient/*
+ m' v% s, ]$ w+ F& [    /usr/lib/python2.7/site-packages/python_glanceclient-3.0.0.dist-info/*9 Z: M7 y, ~- L7 I& n2 j
Proceed (y/n)? y$ \- x9 P) m- l5 e& ]
  Successfully uninstalled python-glanceclient-3.0.0
) G/ E: e+ {& f, y
# K6 j. c# e3 D! \2 R4 S$ l2 v! X: J[root@controller1 ~]# 9 E7 E9 l1 X$ M1 L! i3 h8 @% [' q
[root@controller1 ~]#
: o- z$ E' o7 C. _% @1 M) t[root@controller1 ~]# pip uninstall pyrsistent
+ j2 j: C8 ]  ?& jDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.9 I3 \5 r+ L  F) ~0 k
Found existing installation: pyrsistent 0.17.08 E" h, @' w& q& t9 m+ Q
Uninstalling pyrsistent-0.17.0:
* n' d1 {3 J0 D4 E: t: L+ I  Would remove:# K% B7 [8 |& X/ r: Q; }1 t
    /usr/lib64/python2.7/site-packages/_pyrsistent_version.py" H7 P: Z6 x, f7 q. l7 r1 f* t1 V
    /usr/lib64/python2.7/site-packages/pvectorc.so6 N+ B. Q6 o5 P
    /usr/lib64/python2.7/site-packages/pyrsistent-0.17.0.dist-info/*! A7 X7 W- z. L% J& w& \* p
    /usr/lib64/python2.7/site-packages/pyrsistent/*& d- g6 J+ j1 R- \: ]
Proceed (y/n)? y( P( o/ Z, R/ K( K7 Y
  Successfully uninstalled pyrsistent-0.17.06 R9 {, s  ?8 C. e8 ^
/ c: Q! n3 W7 v/ k8 d3 N

! I* B% y- S/ U  h% q$ k+ M% T[root@controller1 ~]# pip uninstall pyrsistent
, [% h0 B) K1 E* b/ k% i9 ~$ SDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
, r) f6 c3 i5 kFound existing installation: pyrsistent 0.17.0
1 W+ a* v, C/ B3 l! B* C) Y, MUninstalling pyrsistent-0.17.0:4 \3 C& q' x0 H" Y* J
  Would remove:
! p* N7 M$ I6 V' ?% t- ?; G4 Q/ F    /usr/lib64/python2.7/site-packages/_pyrsistent_version.py4 ]4 r6 z6 K' u& m7 M3 f
    /usr/lib64/python2.7/site-packages/pvectorc.so
! j' v1 X% j1 m) `- |6 J    /usr/lib64/python2.7/site-packages/pyrsistent-0.17.0.dist-info/*( s- C$ g( }- |
    /usr/lib64/python2.7/site-packages/pyrsistent/*
7 `! ]% U9 y9 I% ZProceed (y/n)? y, S; b! S1 ~$ N' _3 V) Y8 U
  Successfully uninstalled pyrsistent-0.17.0" O  ]1 L3 s  J- J% b# o+ T
[root@controller1 ~]# 7 W7 _; y+ M2 g1 y, D. M
[root@controller1 ~]#   ?4 X  t6 t4 A& ~
[root@controller1 ~]# pip uninstall platformio2 i' \  M/ K6 o& h1 h- v: W9 o8 E
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.5 K8 B3 ]) H4 O7 e$ m
Found existing installation: platformio 5.1.1
! t' n  q7 j% ]% {3 U/ G. |% [: V; KUninstalling platformio-5.1.1:
+ E2 V- \' ?4 Z; z* [7 Y. L5 O, r  Would remove:
" @4 H, n: ?; y# i+ d) r    /usr/bin/pio; z) k$ [0 e! W3 ]: ]. R" g
    /usr/bin/piodebuggdb
6 b! n) r, I0 r) E    /usr/bin/platformio
" L! x$ [: U1 p  V2 z; c1 o    /usr/lib/python2.7/site-packages/platformio-5.1.1.dist-info/*) g+ J* x1 Y, J/ i2 U
    /usr/lib/python2.7/site-packages/platformio/*
+ d: n9 c2 a5 v    /usr/lib/python2.7/site-packages/scripts/99-platformio-udev.rules
6 a& c( \& m2 b5 w' ?2 ^    /usr/lib/python2.7/site-packages/scripts/docspregen.py
2 c# f! ?# o0 J# `) z: D    /usr/lib/python2.7/site-packages/scripts/fixsymlink.py% ?7 _2 u& H3 N4 P7 ~( T" ?. L
    /usr/lib/python2.7/site-packages/scripts/get-platformio.py
/ G9 C/ e& o) n2 N" C  U$ d    /usr/lib/python2.7/site-packages/scripts/install_devplatforms.py
0 k- v  ^% T1 AProceed (y/n)? y% V6 Y- [9 s" w8 D* n; F
  Successfully uninstalled platformio-5.1.1
  r, v1 c9 Z: M) j! V, s[root@controller1 ~]# pip uninstall cryptography
) J% H; B7 d3 gDEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.- J; U! K3 k( i/ b
Found existing installation: cryptography 3.3.2
7 e" Q' B9 L, sUninstalling cryptography-3.3.2:2 P9 D/ M& Y) b; ?2 A( E
  Would remove:$ F; p' P) t; I/ d8 m9 E
    /usr/lib64/python2.7/site-packages/cryptography-3.3.2.dist-info/*
& _+ y% s- k5 q1 m; p    /usr/lib64/python2.7/site-packages/cryptography/*
1 b! K' M5 T+ ?6 A+ K  Would not remove (might be manually added):1 O& Q0 `% V" m1 l' W# n
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/__init__.py% _( `+ [. A* i! }# O7 f( `
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/__init__.pyo
) Y* L! W5 |7 R, `. i    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/backend.py
1 j7 ?, t7 G0 d6 `5 Z' v/ G    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/backend.pyo
2 M! k& r/ J4 j) E0 }" ^: l    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/ciphers.py. g( y5 C$ U! ]9 ^( Q9 S8 e" @$ n
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/ciphers.pyo
, t2 K( q) o- B4 H    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hashes.py
( e4 H. s' x' t    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hashes.pyo5 n# A* s8 G5 J
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hmac.py, a& p" p6 l: s; M- I% w
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hmac.pyo
. [  ]/ [! H/ K" _+ [    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/multibackend.py; p% w; n  _! O) i' z: E
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/multibackend.pyo
5 z( F: ?! H. z( y) K6 W+ n    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/_constant_time.so
4 h& v0 c& n& J    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/__init__.py
. M  K! {) B1 U    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/__init__.pyo5 j. C: @$ A  Q( n1 G
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/binding.py
0 W2 |3 `* O9 ~    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/binding.pyo
1 ?  u# V0 \8 }  K! S    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/interfaces/__init__.py0 l: {% B7 I+ h2 N( t/ D! ]4 W( E
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/interfaces/__init__.pyo3 u3 L; J' I/ L% X( ]
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/serialization.py& j6 I: b/ n. k' i) S! E. X
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/serialization.pyo
. e" e8 L2 z) g1 D% G, t/ L  YProceed (y/n)? y1 g+ b. L9 K# M+ F8 \# I
  Successfully uninstalled cryptography-3.3.2# j' x+ d/ l5 [$ P8 v
1 ~6 ~2 W/ K: F

0 V5 X" [' Q. u; F5 z. \5 S
 楼主| 发表于 2021-9-8 15:04:34 | 显示全部楼层
[root@controller1 ~]# pip uninstall cryptography$ k9 `. H# t5 z8 s
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
  I9 ]9 }  o0 g! cFound existing installation: cryptography 3.3.2
* a4 I; ]  c# e1 C& F- g2 E% t! `- XUninstalling cryptography-3.3.2:$ X: u1 K+ r0 q: }
  Would remove:
) W. E0 w7 f* J; s7 y  @! S    /usr/lib64/python2.7/site-packages/cryptography-3.3.2.dist-info/*
! {7 ~. }1 f: p4 c& M; ?    /usr/lib64/python2.7/site-packages/cryptography/*& L9 c5 Q7 l9 X5 _
  Would not remove (might be manually added):
/ W0 y' Y+ m9 m7 Z" L* _& d    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/__init__.py
  [. X5 ~) ~3 r6 P9 p0 r& S    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/__init__.pyo
- r8 O# {6 n/ Y  S! [7 ?+ P    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/backend.py
! L* h8 g3 Q2 p9 p4 [$ f    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/backend.pyo
4 c  d; ~: l/ }! L0 y7 R    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/ciphers.py
* x" K9 K; D) f6 u6 T    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/ciphers.pyo5 l: l9 i( \* o- h& ~: q
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hashes.py# z! U8 t$ a% d# [
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hashes.pyo
/ H9 x* V8 U3 _' c+ X# P    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hmac.py1 v" B# \1 [$ k
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/commoncrypto/hmac.pyo9 L! w* f5 _7 ]/ C
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/multibackend.py9 Y. c0 b' x, ]; B6 {7 w& D3 q7 q4 r
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/multibackend.pyo
' C! S7 g$ O( }, }0 g    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/_constant_time.so- e( |2 I( W2 Q1 x$ R# w: i! O" n2 d
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/__init__.py$ Z4 @3 u' Y. I+ ]1 T- `2 m5 y
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/__init__.pyo' ^/ X8 F' O! l5 c( S* ?: W
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/binding.py5 q7 b% U3 E* ?
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/commoncrypto/binding.pyo
/ a. o  C) `0 v( A    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/interfaces/__init__.py, L, I; A2 K& `1 u. a8 h+ \/ A4 R
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/interfaces/__init__.pyo
6 j% ^5 T+ y+ i: Z4 @; }5 C8 H    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/serialization.py- f' O# F$ Q- s6 |( t& ^
    /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/serialization.pyo
0 @+ `9 f% M) |' g  L# GProceed (y/n)? y
/ b" t; ^. G: @% c. o0 V  Successfully uninstalled cryptography-3.3.2+ o: T, |% u4 Y/ {0 y
[root@controller1 ~]# rpm -qa |grep python2-cryptography
/ j4 i( t! T- t7 A) G) g6 b9 upython2-cryptography-1.7.2-2.el7.x86_64
% @0 w( X- P' z6 O6 x2 a4 B+ x; l[root@controller1 ~]# rpm -e python2-cryptography-1.7.2-2.el7.x86_64
4 p) f9 g* q+ w: D2 c, ?, Lwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/oid.pyo: remove failed: No such file or directory/ I, T& S) I6 k  Z
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/oid.pyc: remove failed: No such file or directory
( K0 W% o* s. ewarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/oid.py: remove failed: No such file or directory
3 `1 g% ^7 c/ D* I. s1 lwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/name.pyo: remove failed: No such file or directory7 k8 [5 s& r0 E& X+ |% I* M) f
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/name.pyc: remove failed: No such file or directory: m0 I3 R( Q) ~1 R
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/name.py: remove failed: No such file or directory
, i; B; l- b( b% _0 ~1 owarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/general_name.pyo: remove failed: No such file or directory  Y, R2 C! S* Y3 q8 p
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/general_name.pyc: remove failed: No such file or directory* U/ T( q/ }& u1 i
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/general_name.py: remove failed: No such file or directory
4 B2 o% u0 C8 U7 g0 ]4 X, {/ Z+ fwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/extensions.pyo: remove failed: No such file or directory
$ R  d: k, U  }( E& B, G0 Twarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/extensions.pyc: remove failed: No such file or directory  l! ]- L+ r! e
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/extensions.py: remove failed: No such file or directory
3 p" k  [( w7 P* lwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/base.pyo: remove failed: No such file or directory! N! z9 A& W( y. A1 m
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509/base.pyc: remove failed: No such file or directory
  w5 l8 h+ [( w' A$ Kwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/base.py: remove failed: No such file or directory
: [$ n& G$ ~) z# q" Kwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/__init__.pyo: remove failed: No such file or directory
/ o: [6 a" v& b1 R1 t) gwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/__init__.pyc: remove failed: No such file or directory
9 O) W8 |+ s6 B4 |2 J) p% J' n* Vwarning: file /usr/lib64/python2.7/site-packages/cryptography/x509/__init__.py: remove failed: No such file or directory, A; t0 E6 @  r* @9 S) G
warning: file /usr/lib64/python2.7/site-packages/cryptography/x509: remove failed: No such file or directory1 Y: C+ J/ u2 V8 i) k* ]$ I( f
warning: file /usr/lib64/python2.7/site-packages/cryptography/utils.pyo: remove failed: No such file or directory
, n, z: ^  ~5 ^% d2 Bwarning: file /usr/lib64/python2.7/site-packages/cryptography/utils.pyc: remove failed: No such file or directory
  v- O) h# e2 c: ^warning: file /usr/lib64/python2.7/site-packages/cryptography/utils.py: remove failed: No such file or directory
( O8 {0 N- K  w, ]- |$ E& Pwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/utils.pyo: remove failed: No such file or directory! Y0 E' k, X& ~$ b
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/utils.pyc: remove failed: No such file or directory
/ H1 a2 J* T; zwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/utils.py: remove failed: No such file or directory  `& I8 y" }/ W9 V) j5 S$ m$ e
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/totp.pyo: remove failed: No such file or directory
! i' C2 R  L* u  @5 S% j0 Pwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/totp.pyc: remove failed: No such file or directory8 u0 [- T% p: v4 M  V! j3 h6 ?
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/totp.py: remove failed: No such file or directory$ C  j* l" \3 [: F, d& p
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/hotp.pyo: remove failed: No such file or directory
& M9 q" |  H6 W* q8 U; K/ }0 swarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/hotp.pyc: remove failed: No such file or directory8 y! D* B* y4 }, B" I
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/hotp.py: remove failed: No such file or directory) T* ]( ]( f1 s6 n" v  c, a
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/__init__.pyo: remove failed: No such file or directory8 U3 ]& V5 @9 y. q( y! l
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/__init__.pyc: remove failed: No such file or directory7 A9 i/ @' y) Z5 c6 m
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor/__init__.py: remove failed: No such file or directory
+ _; c/ n2 z0 B* ^" E* N4 l' |warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/twofactor: remove failed: No such file or directory# b* N, `) P  k# Y
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/padding.pyo: remove failed: No such file or directory! R& M- a! o7 Z' @0 C! s( f  s( W
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/padding.pyc: remove failed: No such file or directory6 c9 A1 ?" h' L) S5 K/ ^
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/padding.py: remove failed: No such file or directory) t( k2 l* p# D! H, n1 u1 L
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/keywrap.pyo: remove failed: No such file or directory' q( b, K0 t: f' E3 l# @
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/keywrap.pyc: remove failed: No such file or directory
& z7 F4 g, ~5 r. k3 }warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/keywrap.py: remove failed: No such file or directory
5 o+ r6 f+ X' l/ b  {warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/x963kdf.pyo: remove failed: No such file or directory5 z7 n0 \; `8 r3 C' _4 g9 @5 a
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/x963kdf.pyc: remove failed: No such file or directory( F8 T$ }! A: y
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/x963kdf.py: remove failed: No such file or directory
9 u' g5 O# t- Lwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/scrypt.pyo: remove failed: No such file or directory1 G1 T- Z, k- T4 J# t
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/scrypt.pyc: remove failed: No such file or directory9 x; j* ^- }! ^: T4 u' j2 |
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/scrypt.py: remove failed: No such file or directory! O, j6 [" r* W: }# p# K
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/pbkdf2.pyo: remove failed: No such file or directory: r6 R0 `4 B) Z& g
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/pbkdf2.pyc: remove failed: No such file or directory
2 L  p$ M. b* f, ]" x2 Owarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/pbkdf2.py: remove failed: No such file or directory' @$ C  O" ]: m4 \7 j2 [3 T
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/kbkdf.pyo: remove failed: No such file or directory( Q5 e! X8 j1 F+ I( j2 d% c: X/ H
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/kbkdf.pyc: remove failed: No such file or directory" l, R$ ~+ U5 y" N3 [
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/kbkdf.py: remove failed: No such file or directory
( x4 d/ {8 `; vwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/hkdf.pyo: remove failed: No such file or directory
- [& ^  q9 _  ?7 [' b$ qwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/hkdf.pyc: remove failed: No such file or directory
) K" t! G+ j: O5 a0 F1 C: Fwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/hkdf.py: remove failed: No such file or directory
% s  x) j; M+ E' ^* qwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/concatkdf.pyo: remove failed: No such file or directory/ ]& f7 I% d  L4 _" P4 y/ ?4 z
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/concatkdf.pyc: remove failed: No such file or directory
* y; S3 `8 h3 }2 N0 kwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/concatkdf.py: remove failed: No such file or directory
, f2 u$ V# k/ Q: G1 n9 C% I  nwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/__init__.pyo: remove failed: No such file or directory
1 X$ V+ p- `* Ewarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/__init__.pyc: remove failed: No such file or directory
5 [8 P/ s! o# H# [) Swarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf/__init__.py: remove failed: No such file or directory
8 m$ k9 e  Z1 o- t9 {0 @9 x9 Awarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/kdf: remove failed: No such file or directory
: h  r: `% t, d" [& z7 G& pwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/hmac.pyo: remove failed: No such file or directory
5 d6 t) h/ t! x; F: `warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/hmac.pyc: remove failed: No such file or directory- e3 w% J8 v1 {* [
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/hmac.py: remove failed: No such file or directory/ u5 J5 E- \7 m$ ?
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/hashes.pyo: remove failed: No such file or directory8 [1 D5 A3 s! x! h+ E4 s: X2 e
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/hashes.pyc: remove failed: No such file or directory' x8 }# {" N: Y- V7 C8 z
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/hashes.py: remove failed: No such file or directory
3 T2 w& c- h) b% F) x% K* h. x' ywarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/constant_time.pyo: remove failed: No such file or directory5 G+ C  t9 f) v4 P5 P8 R
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/constant_time.pyc: remove failed: No such file or directory
/ ?" a, L6 l7 r' ?, nwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/constant_time.py: remove failed: No such file or directory
' y  r$ C& e9 U( O" _6 }. hwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/cmac.pyo: remove failed: No such file or directory. ^* F/ A' o2 S& a8 \+ g  S
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/cmac.pyc: remove failed: No such file or directory, K4 X8 Q( ^7 k/ t4 a& P
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/cmac.py: remove failed: No such file or directory2 M# E! R; A+ F0 B  W. g( M- U6 d
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/modes.pyo: remove failed: No such file or directory- }* d  G( L; x) \) e
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/modes.pyc: remove failed: No such file or directory
$ q0 U: K& R7 `2 {warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/modes.py: remove failed: No such file or directory
% }. z, _& ^& t7 Q  C- S: X" Zwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/base.pyo: remove failed: No such file or directory
2 ]5 C& s# s& K/ Twarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/base.pyc: remove failed: No such file or directory' ^  T5 t7 w: O2 E* i; w6 q
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/base.py: remove failed: No such file or directory
+ m: e  Q# s+ Swarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/algorithms.pyo: remove failed: No such file or directory
! S, j" ]* O! G* Kwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/algorithms.pyc: remove failed: No such file or directory) S+ c4 M* Y+ Q) j( Z
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/algorithms.py: remove failed: No such file or directory
# a0 X( B0 P2 c0 Ywarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/__init__.pyo: remove failed: No such file or directory- e2 W& h$ c& Y5 _3 H" u
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/__init__.pyc: remove failed: No such file or directory
# k0 B1 J5 n8 N3 ^5 G$ Rwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers/__init__.py: remove failed: No such file or directory
' T: E- i0 c8 e& T* ^warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/ciphers: remove failed: No such file or directory! B4 f- Y% Y7 ]: j' g- \6 n
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/utils.pyo: remove failed: No such file or directory- O5 o: _3 i" H1 R# V* V
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/utils.pyc: remove failed: No such file or directory
, I( O+ m5 E: C, G* H8 H% G7 _warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/utils.py: remove failed: No such file or directory
* w# b) Z" X4 e* N! n4 H4 _warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/rsa.pyo: remove failed: No such file or directory
' _- C' }$ O& @# I% Z! S5 {* |. q6 Hwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/rsa.pyc: remove failed: No such file or directory8 @( d! X: L, \0 f
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/rsa.py: remove failed: No such file or directory; @& b0 z: ~/ Y
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/padding.pyo: remove failed: No such file or directory
% }; c6 T+ g$ i0 Mwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/padding.pyc: remove failed: No such file or directory$ a( G) e' K' Y3 ?! y
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/padding.py: remove failed: No such file or directory
& ]1 P' Y, u6 V1 Ewarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/ec.pyo: remove failed: No such file or directory+ E( R! n) m% p7 N/ L! ^# s
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/ec.pyc: remove failed: No such file or directory
- `2 Z& V, D9 P- m/ g7 d/ pwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/ec.py: remove failed: No such file or directory
3 E# _/ K. B& S3 {/ q8 ?warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/dsa.pyo: remove failed: No such file or directory# u% V0 R, G6 `+ Q3 V7 o& @
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/dsa.pyc: remove failed: No such file or directory* v3 B, E8 \; q! I9 ?$ v+ [+ A
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/dsa.py: remove failed: No such file or directory
5 b2 O* d, V' s' C9 b) C4 mwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/dh.pyo: remove failed: No such file or directory
( }: Z$ T# @* awarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/dh.pyc: remove failed: No such file or directory% a/ u* ?0 k0 C' M& L# o7 |
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/dh.py: remove failed: No such file or directory( y* D% T3 X! `2 d% ?
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/__init__.pyo: remove failed: No such file or directory& W9 i7 r) P8 Y( P" x& Z- t3 C
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/__init__.pyc: remove failed: No such file or directory
) x5 ^% X) f; P2 xwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric/__init__.py: remove failed: No such file or directory& ~. a1 h( w3 a+ P
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymmetric: remove failed: No such file or directory: c" O$ d8 z5 E/ G3 R
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/__init__.pyo: remove failed: No such file or directory
0 r8 ~! w; `, D, hwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/__init__.pyc: remove failed: No such file or directory
5 {$ U" I! A+ i, \: |warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/__init__.py: remove failed: No such file or directory6 A, ^% S, G$ P/ _
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/binding.pyo: remove failed: No such file or directory) K, k% t6 T+ Q9 A7 G$ H' Y
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/binding.pyc: remove failed: No such file or directory" _' |- w3 K9 |5 U
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/binding.py: remove failed: No such file or directory) v( m: G1 d; \+ D; {5 V
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/_conditional.pyo: remove failed: No such file or directory0 S) V9 P5 c1 f- o
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/_conditional.pyc: remove failed: No such file or directory
2 b3 S) S6 t, A4 }warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/_conditional.py: remove failed: No such file or directory: V& O6 Y& j  [7 X$ y; C
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/__init__.pyo: remove failed: No such file or directory6 @' n- z$ G1 L1 t1 J# G
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/__init__.pyc: remove failed: No such file or directory" E; ]! U! ~: g
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl/__init__.py: remove failed: No such file or directory9 I+ T" P$ _: a% l
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/openssl: remove failed: No such file or directory( ^& h$ G: P, N( A' c/ d+ L
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/_padding.so: remove failed: No such file or directory
+ M. E) [/ k! Pwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/_openssl.so: remove failed: No such file or directory8 o( s* N6 h* l" U
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/__init__.pyo: remove failed: No such file or directory
; Z, t$ v# |$ s5 J3 ]/ owarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/__init__.pyc: remove failed: No such file or directory
3 P7 D# e/ ^/ [6 p, z; swarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/bindings/__init__.py: remove failed: No such file or directory7 d+ A) Y: T) T8 j
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/x509.pyo: remove failed: No such file or directory! a% T' s* A3 N+ \6 X
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/x509.pyc: remove failed: No such file or directory  _5 P9 B5 A8 D* ?4 I
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/x509.py: remove failed: No such file or directory
" I! Q% z3 F) [! f! J6 [! s' J2 Xwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/utils.pyo: remove failed: No such file or directory0 T2 x4 j' m* d
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/utils.pyc: remove failed: No such file or directory, M9 ?) C. C. ]7 V" u
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/utils.py: remove failed: No such file or directory8 k8 A) v6 c! P; u& X
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/rsa.pyo: remove failed: No such file or directory
, r7 T8 }; m  q0 D  o. Lwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/rsa.pyc: remove failed: No such file or directory
0 B! q, z# ^: P- c% Iwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/rsa.py: remove failed: No such file or directory  m7 b2 \. N2 p+ t* L/ b- ]; I
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/hmac.pyo: remove failed: No such file or directory
2 Z5 K% E, `3 e) _$ Q& y9 M# Wwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/hmac.pyc: remove failed: No such file or directory
! B% E" k$ o  x3 rwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/hmac.py: remove failed: No such file or directory
; w" H" _% E3 ]  _: Q) |8 g* o- vwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/hashes.pyo: remove failed: No such file or directory
5 M, w* `0 f8 N% E- [warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/hashes.pyc: remove failed: No such file or directory
4 }, [- R4 y9 P7 O: g) W+ jwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/hashes.py: remove failed: No such file or directory
$ \* j, O) H% mwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/encode_asn1.pyo: remove failed: No such file or directory4 a' k+ z3 F! q& Q" E3 o& A
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/encode_asn1.pyc: remove failed: No such file or directory
1 l6 J7 n. |7 [& }warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/encode_asn1.py: remove failed: No such file or directory
6 o& [  B! x9 @7 A8 k9 ~( Xwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/ec.pyo: remove failed: No such file or directory) k$ y+ I2 y& \
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/ec.pyc: remove failed: No such file or directory) F$ h4 E$ @, l0 I
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/ec.py: remove failed: No such file or directory
. a1 e8 a2 h4 \warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/dsa.pyo: remove failed: No such file or directory
/ Z0 X( }: o0 a, k! c% f! dwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/dsa.pyc: remove failed: No such file or directory
" G3 E; Y3 c/ \  U2 J. @5 kwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/dsa.py: remove failed: No such file or directory' v  ~' {+ H; A" J; H
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/dh.pyo: remove failed: No such file or directory; S# ?8 C4 b7 y; b5 F" f
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/dh.pyc: remove failed: No such file or directory0 i8 b7 i" M+ P0 S1 m- l
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/dh.py: remove failed: No such file or directory4 O( O8 m' ?. |* g
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/decode_asn1.pyo: remove failed: No such file or directory) Q9 P  y  N: a; J# n' O7 K% `7 u0 z
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/decode_asn1.pyc: remove failed: No such file or directory" D/ }8 Y' [7 M  z$ G$ K+ a8 J
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/decode_asn1.py: remove failed: No such file or directory
4 N; A" g1 [# [- J% Q! _; R, lwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/cmac.pyo: remove failed: No such file or directory
7 K0 r/ r; g, c  v/ Z0 c# H) Awarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/cmac.pyc: remove failed: No such file or directory2 Y0 n* T! x  @9 B" N6 C
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/cmac.py: remove failed: No such file or directory
: o" G# B0 i  a. p1 a/ k5 \( l) ^warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/ciphers.pyo: remove failed: No such file or directory
) B4 m, H& l8 L6 dwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/ciphers.pyc: remove failed: No such file or directory1 V# d8 S6 W2 }9 i
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/ciphers.py: remove failed: No such file or directory
% F) ^+ U9 f2 p+ uwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/backend.pyo: remove failed: No such file or directory
- i* q' ]0 D6 pwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/backend.pyc: remove failed: No such file or directory2 w5 P' h4 Q3 C( c& M1 l! ^
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/backend.py: remove failed: No such file or directory
, t- S0 x* n( Mwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/__init__.pyo: remove failed: No such file or directory+ y% S7 w# c7 w8 I; u( x' m
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/__init__.pyc: remove failed: No such file or directory) X' T1 h! H- S: z6 `# ], b
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl/__init__.py: remove failed: No such file or directory% k1 j+ {+ V+ d: S; {, t0 r8 m( x
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/openssl: remove failed: No such file or directory& [4 d8 e- i3 z8 `+ Y
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/interfaces.pyo: remove failed: No such file or directory
0 P$ D+ a$ c" l& Bwarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/interfaces.pyc: remove failed: No such file or directory
; ^! N) K& L  o  q1 ^warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/interfaces.py: remove failed: No such file or directory5 ], y" u$ X% b: P& N1 {7 w$ z2 _
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.pyo: remove failed: No such file or directory
1 k# W: v: {3 swarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.pyc: remove failed: No such file or directory/ ~  i8 z' o. K( G+ D" \' l4 L
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py: remove failed: No such file or directory
8 I% Q) C/ o1 swarning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/__init__.pyo: remove failed: No such file or directory2 O7 o: o# o$ x: E: }2 a6 F, m
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/__init__.pyc: remove failed: No such file or directory# ]6 w. c  _4 y6 }$ l
warning: file /usr/lib64/python2.7/site-packages/cryptography/hazmat/__init__.py: remove failed: No such file or directory
  H  H5 Y" k8 O, a8 d  `warning: file /usr/lib64/python2.7/site-packages/cryptography/fernet.pyo: remove failed: No such file or directory
. I  b% i' H6 L( e. k1 ~3 a, S4 E; Zwarning: file /usr/lib64/python2.7/site-packages/cryptography/fernet.pyc: remove failed: No such file or directory
; {; p/ K3 K$ v$ u# cwarning: file /usr/lib64/python2.7/site-packages/cryptography/fernet.py: remove failed: No such file or directory
0 v4 w/ a  P; q  r$ G  V" P6 ewarning: file /usr/lib64/python2.7/site-packages/cryptography/exceptions.pyo: remove failed: No such file or directory
3 R2 d+ F" d# S4 S2 _warning: file /usr/lib64/python2.7/site-packages/cryptography/exceptions.pyc: remove failed: No such file or directory
) Z+ U; f) U9 d3 ?* C+ awarning: file /usr/lib64/python2.7/site-packages/cryptography/exceptions.py: remove failed: No such file or directory; F# t" c: Q% ]
warning: file /usr/lib64/python2.7/site-packages/cryptography/__init__.pyo: remove failed: No such file or directory
& Y! f5 c/ Y: ~( [( k& @warning: file /usr/lib64/python2.7/site-packages/cryptography/__init__.pyc: remove failed: No such file or directory
. x+ N, k5 Q! F% w4 B2 W1 owarning: file /usr/lib64/python2.7/site-packages/cryptography/__init__.py: remove failed: No such file or directory
# S8 G8 q+ Q) ?5 l& r* f# Owarning: file /usr/lib64/python2.7/site-packages/cryptography/__about__.pyo: remove failed: No such file or directory; M7 K- u( I6 Q3 ]$ u, V$ p+ d
warning: file /usr/lib64/python2.7/site-packages/cryptography/__about__.pyc: remove failed: No such file or directory
. p6 Y4 \; [, l! g' t* vwarning: file /usr/lib64/python2.7/site-packages/cryptography/__about__.py: remove failed: No such file or directory0 b2 J8 C6 x) N  @7 P3 t# M
[root@controller1 ~]# rpm -qa |grep python2-cryptography
* X: f- N# S- P! S' T" B( d9 T2 W; l6 e4 e9 _9 k9 ^8 @% A

/ }4 v' y: A6 a9 T报好多错误:
& P& |  o; w+ ^2 C# U4 |- d8 E5 d# [

4 j& q! y3 r& s6 B4 B* r4 _继续卸载:8 Y5 ]. l9 W. ?2 i
[root@controller1 ~]# rpm -qa|grep python2-future/ Y8 ?% P, C7 Q3 e! R
python2-future-0.18.2-2.el7.noarch' U8 r/ u7 d3 I/ {) a# s! s/ z7 p) X
[root@controller1 ~]# rpm -e python2-future-0.18.2-2.el7.noarch
& ?7 m# r( }) K# x1 @9 Y  z4 x7 ~: Z  r* b: e! z# e4 t& T

  u( t" H3 u) P; p* a& {. `+ R' M: P
( p. U8 R2 Z2 ^( h% U" s9 |
 楼主| 发表于 2021-9-8 15:27:34 | 显示全部楼层
重新安装插件:- z8 ^) ~9 O8 I) s# S8 O; S7 O' O
pip install python-openstackclientpython-glanceclient python-neutronclient
0 n0 M. N! s6 G$ E/ E$ b

- Q1 {7 E+ M( a& [% g, `" V) c( [
/ W- N5 ^1 h0 i# M! kRequirement already satisfied: requests>=2.14.2 in /usr/lib/python2.7/site-packages (from python-glanceclient) (2.26.0)% m- ]3 r& q* T1 F6 A( ?6 H: g
Requirement already satisfied: wrapt>=1.7.0 in /usr/lib64/python2.7/site-packages (from python-glanceclient) (1.12.1)
, V7 k# A1 _# LRequirement already satisfied: PrettyTable<0.8,>=0.7.1 in /usr/lib/python2.7/site-packages (from python-glanceclient) (0.7.2)9 _! M! S" h; T6 c4 f
Requirement already satisfied: warlock<2,>=1.2.0 in /usr/lib/python2.7/site-packages (from python-glanceclient) (1.3.3)
  Q  u: y& r" IRequirement already satisfied: oslo.log>=3.36.0 in /usr/lib/python2.7/site-packages (from python-neutronclient) (3.45.2)6 G! W/ e  X/ l! u
Requirement already satisfied: iso8601>=0.1.11 in /usr/lib/python2.7/site-packages (from python-neutronclient) (0.1.14)
6 x  D* K: Q/ `- K9 E$ K) v( hRequirement already satisfied: os-client-config>=1.28.0 in /usr/lib/python2.7/site-packages (from python-neutronclient) (2.1.0)) A4 E) g* z2 z! h7 V& G$ A$ b
Requirement already satisfied: debtcollector>=1.2.0 in /usr/lib/python2.7/site-packages (from python-neutronclient) (1.22.0)
+ x4 }$ E" e, ^4 L4 mRequirement already satisfied: oslo.serialization!=2.19.1,>=2.18.0 in /usr/lib/python2.7/site-packages (from python-neutronclient) (2.29.3)/ ?9 L4 Z& D1 G
Requirement already satisfied: simplejson>=3.5.1 in /usr/lib64/python2.7/site-packages (from python-neutronclient) (3.10.0)
- d  E& q% q. n% ^3 s! E  IRequirement already satisfied: netaddr>=0.7.18 in /usr/lib/python2.7/site-packages (from python-neutronclient) (0.8.0)
* U9 L8 `+ K& r6 FRequirement already satisfied: pytz>=2015.7 in /usr/lib/python2.7/site-packages (from Babel!=2.4.0,>=2.3.4->python-openstackclient) (2021.1)
( n  R9 W6 z! j& b* g1 @& JRequirement already satisfied: stevedore>=1.20.0 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.32.0)
' b  o/ `  v# d- {Requirement already satisfied: pyparsing>=2.1.0 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (2.4.7)9 P: p! f. I  H6 K1 [
Requirement already satisfied: PyYAML>=3.12 in /usr/lib64/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (5.4.1): C1 y2 @1 r. g- I$ h
Requirement already satisfied: cmd2!=0.8.3,<0.9.0,>=0.8.0 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.8.9)% e* c, J  }+ @6 V8 r
Requirement already satisfied: unicodecsv>=0.8.0; python_version < "3.0" in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.14.1)
2 o" z& P# O2 N" E: }0 g+ ~, cRequirement already satisfied: futures>=3.0.0; python_version == "2.7" or python_version == "2.6" in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (3.3.0)
$ v. |; @; Z% WRequirement already satisfied: requestsexceptions>=1.2.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.4.0)
# @1 a9 I2 S5 T6 `3 @* C8 v# }Requirement already satisfied: munch>=2.1.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (2.5.0)1 V0 R3 z  G( J- u5 S
Requirement already satisfied: jmespath>=0.9.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.10.0)* i' @* A: c* b( j. u" p$ V+ ?: Z. |
Requirement already satisfied: jsonpatch!=1.20,>=1.16 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.32)5 f4 x9 o% g0 Z+ h% F" c+ p% E8 l: a  x
Requirement already satisfied: cryptography>=2.1 in /usr/lib64/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (3.3.2)
1 w" i2 e3 V' i% V& iRequirement already satisfied: decorator>=4.4.1 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (4.4.2)/ L+ E) g- I3 F/ l4 l7 q5 h( ^
Requirement already satisfied: dogpile.cache>=0.6.5 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.9.2)4 B0 d$ F  i* z& R; ]
Requirement already satisfied: appdirs>=1.3.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.4.4)
- u8 {% r+ ?$ I# }0 E  b( d, a, NRequirement already satisfied: os-service-types>=1.7.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.7.0)* m2 e/ x; f$ `6 U
Requirement already satisfied: netifaces>=0.10.4 in /usr/lib64/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.10.9)& E! S! e0 `  g* j7 m
Requirement already satisfied: ipaddress>=1.0.17; python_version < "3.3" in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.0.23)
4 F1 N4 K) J( MRequirement already satisfied: funcsigs>=1.0.0; python_version == "2.7" or python_version == "2.6" in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (1.0.2)7 f* A2 s( g. Q! y9 [6 O# A
Requirement already satisfied: monotonic>=0.6; python_version < "3.3" in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (1.6)) O4 W! l& W5 [3 l& s% J
Requirement already satisfied: oslo.config>=5.2.0 in /usr/lib/python2.7/site-packages (from python-keystoneclient>=3.22.0->python-openstackclient) (7.0.0). H3 T; h: A6 ~$ ]7 y
Requirement already satisfied: certifi>=2017.4.17 in /usr/lib/python2.7/site-packages (from requests>=2.14.2->python-glanceclient) (2021.5.30)
/ r3 N; i; S7 s  W% N( v: K+ kRequirement already satisfied: urllib3<1.27,>=1.21.1 in /usr/lib/python2.7/site-packages (from requests>=2.14.2->python-glanceclient) (1.26.6)
7 G6 I5 b3 g* \* ^2 B+ Y% sRequirement already satisfied: idna<3,>=2.5; python_version < "3" in /usr/lib/python2.7/site-packages (from requests>=2.14.2->python-glanceclient) (2.10)! ~  J+ b9 m7 l  t8 p9 `
Requirement already satisfied: chardet<5,>=3.0.2; python_version < "3" in /usr/lib/python2.7/site-packages (from requests>=2.14.2->python-glanceclient) (4.0.0)
5 x2 Z1 S. q/ E8 z3 L3 TRequirement already satisfied: jsonschema<4,>=0.7 in /usr/lib/python2.7/site-packages (from warlock<2,>=1.2.0->python-glanceclient) (3.2.0): f, E: |; F6 `9 n
Requirement already satisfied: pyinotify>=0.9.6; sys_platform != "win32" and sys_platform != "darwin" and sys_platform != "sunos5" in /usr/lib/python2.7/site-packages (from oslo.log>=3.36.0->python-neutronclient) (0.9.6)
- U  f" d0 d# O! [$ s" z% DRequirement already satisfied: oslo.context>=2.20.0 in /usr/lib/python2.7/site-packages (from oslo.log>=3.36.0->python-neutronclient) (2.23.1)
  Z, O7 w2 ~1 Z- G6 YRequirement already satisfied: python-dateutil>=2.7.0 in /usr/lib/python2.7/site-packages (from oslo.log>=3.36.0->python-neutronclient) (2.8.1)
9 n1 ], D0 v' _9 n9 a4 h: dRequirement already satisfied: msgpack>=0.5.2 in /usr/lib/python2.7/site-packages (from oslo.serialization!=2.19.1,>=2.18.0->python-neutronclient) (1.0.2)$ K; ~) }0 [: {1 c: ?
Requirement already satisfied: importlib-resources; python_version < "3.7" in /usr/lib/python2.7/site-packages (from netaddr>=0.7.18->python-neutronclient) (3.3.1)
3 H. F7 i- {6 c% j9 R$ zRequirement already satisfied: subprocess32; python_version < "3.0" in /usr/lib64/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (3.5.4): B5 ]. f  V) S6 v
Requirement already satisfied: contextlib2; python_version < "3.5" in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.6.0.post1)
# k; T' [7 X4 N% ~8 p' _1 ^- d6 BRequirement already satisfied: enum34; python_version < "3.4" in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.1.10)
4 x  s1 t. F: }2 i) m  B- M3 f  |Requirement already satisfied: pyperclip in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.8.2)) H9 o  _: h0 P$ ?/ C5 Q
Requirement already satisfied: wcwidth; sys_platform != "win32" in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.2.5)
4 J: f% ?1 p1 b, F3 E/ A  sRequirement already satisfied: jsonpointer>=1.9 in /usr/lib/python2.7/site-packages (from jsonpatch!=1.20,>=1.16->openstacksdk>=0.36.0->python-openstackclient) (2.1)
' z5 \0 q# L5 Q0 h( c) kRequirement already satisfied: cffi>=1.12 in /usr/lib64/python2.7/site-packages (from cryptography>=2.1->openstacksdk>=0.36.0->python-openstackclient) (1.14.6)  E: d" B( b$ Q2 I: c& q0 U* V
Requirement already satisfied: rfc3986>=1.2.0 in /usr/lib/python2.7/site-packages (from oslo.config>=5.2.0->python-keystoneclient>=3.22.0->python-openstackclient) (1.4.0)/ v! S/ z. @3 a) f
Requirement already satisfied: setuptools in /usr/lib/python2.7/site-packages (from jsonschema<4,>=0.7->warlock<2,>=1.2.0->python-glanceclient) (44.1.1)
" p2 y" L/ Z, a' vRequirement already satisfied: functools32; python_version < "3" in /usr/lib/python2.7/site-packages (from jsonschema<4,>=0.7->warlock<2,>=1.2.0->python-glanceclient) (3.2.3.post2)
$ R% l7 b. ?+ L( x$ b. kRequirement already satisfied: pyrsistent>=0.14.0 in /usr/lib64/python2.7/site-packages (from jsonschema<4,>=0.7->warlock<2,>=1.2.0->python-glanceclient) (0.17.0)
- z: t. |6 K1 w, `3 y& x- LRequirement already satisfied: attrs>=17.4.0 in /usr/lib/python2.7/site-packages (from jsonschema<4,>=0.7->warlock<2,>=1.2.0->python-glanceclient) (20.3.0)- q' B3 ~3 l5 g% X9 Z' g
Requirement already satisfied: importlib-metadata; python_version < "3.8" in /usr/lib/python2.7/site-packages (from jsonschema<4,>=0.7->warlock<2,>=1.2.0->python-glanceclient) (2.1.1)
, [8 j; Q7 n; ORequirement already satisfied: singledispatch; python_version < "3.4" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->python-neutronclient) (3.6.1)( M. s7 ?* A; {$ t# h
Requirement already satisfied: zipp>=0.4; python_version < "3.8" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->python-neutronclient) (1.2.0)9 f7 H" S# C5 g6 p, C
Requirement already satisfied: pathlib2; python_version < "3" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->python-neutronclient) (2.3.5)3 }7 z, q, Y8 I- z4 Z4 o! u
Requirement already satisfied: typing; python_version < "3.5" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->python-neutronclient) (3.7.4.3)9 w/ O1 |8 D2 h: @+ b2 u& j7 w! A
Requirement already satisfied: backports.functools-lru-cache>=1.2.1; python_version < "3.2" in /usr/lib/python2.7/site-packages (from wcwidth; sys_platform != "win32"->cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.6.4)$ V1 z% _0 [( k" [2 E# _
Requirement already satisfied: pycparser in /usr/lib/python2.7/site-packages (from cffi>=1.12->cryptography>=2.1->openstacksdk>=0.36.0->python-openstackclient) (2.20)
$ N4 |4 H$ X; ?0 B: w. P" ZRequirement already satisfied: configparser>=3.5; python_version < "3" in /usr/lib/python2.7/site-packages (from importlib-metadata; python_version < "3.8"->jsonschema<4,>=0.7->warlock<2,>=1.2.0->python-glanceclient) (4.0.2)
. w* ~6 B4 i) x7 m& |1 vRequirement already satisfied: scandir; python_version < "3.5" in /usr/lib64/python2.7/site-packages (from pathlib2; python_version < "3"->importlib-resources; python_version < "3.7"->netaddr>=0.7.18->python-neutronclient) (1.10.0)0 `: c6 M# N# Q1 x( r8 m- ~: l
Building wheels for collected packages: python-openstackclient* F/ H3 c0 t4 L- c2 [2 ^7 c
  Building wheel for python-openstackclient (setup.py) ... done  q+ N2 M) ~, N. b7 `0 w  `5 b. Y
  Created wheel for python-openstackclient: filename=python_openstackclient-5.2.2-py2-none-any.whl size=885438 sha256=562d05241341c5dadb03a5de981ea506ee4918b3b5b7e6c415ec64f6f5ae5b55
& J3 [0 A0 a/ g7 b  Stored in directory: /root/.cache/pip/wheels/92/9a/a6/bbafdfec4d13ac6dda30848301e47a6f56c0c97d83e18400a9
2 E/ U% j% S: O& w' B# P; q: D7 |Successfully built python-openstackclient& i' m" w) b) n. L2 l  i5 S7 q
Installing collected packages: python-openstackclient, python-glanceclient, python-neutronclient
. Z1 }; J9 V" x, SSuccessfully installed python-glanceclient-3.0.0 python-neutronclient-7.1.0 python-openstackclient-5.2.26 w# r! ~' ^) _- ^+ }
[root@controller1 ~]# pip install python-openstackclient
5 N5 P/ a2 T5 ?- K- h- Z1 w9 `DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.- `) Q: j& O* x/ p( o
Looking in indexes: http://mirrors.aliyun.com/pypi/simple/% A9 D) q9 H( \9 ]% ^
Requirement already satisfied: python-openstackclient in /usr/lib/python2.7/site-packages (5.2.2)
. W! _9 m, s( gRequirement already satisfied: pbr!=2.1.0,>=2.0.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (5.5.1)
5 Q2 |/ s. z1 g" N) w. ?3 ARequirement already satisfied: cliff!=2.9.0,>=2.8.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (2.18.0)9 w- r2 S5 r$ h' C! F7 \) T
Requirement already satisfied: osc-lib>=2.0.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (2.0.0)
) u2 x4 s( m# ~Requirement already satisfied: oslo.i18n>=3.15.3 in /usr/lib/python2.7/site-packages (from python-openstackclient) (3.25.1): K& L& N% J# M' v# v
Requirement already satisfied: python-cinderclient>=3.3.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (6.0.0)+ S* @/ }# h; f+ h" [
Requirement already satisfied: six>=1.10.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (1.16.0)
; a4 S2 O8 ?' k5 R5 e9 @( `& |: GRequirement already satisfied: openstacksdk>=0.36.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (0.45.0)
% b# A1 O5 Q4 ?6 q: B: _Requirement already satisfied: python-novaclient>=15.1.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (16.0.0)
. X+ u5 }' z" Z) f$ C+ x# ]9 u( NRequirement already satisfied: oslo.utils>=3.33.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (3.42.1). ~7 T9 G8 n7 v. ^+ X4 F( D
Requirement already satisfied: Babel!=2.4.0,>=2.3.4 in /usr/lib/python2.7/site-packages (from python-openstackclient) (2.9.0)/ c9 [* S5 l6 [* i" H' c2 P, ]( f
Requirement already satisfied: python-keystoneclient>=3.22.0 in /usr/lib/python2.7/site-packages (from python-openstackclient) (3.22.0)5 s; s; Q% l5 j, K& Y5 c5 B
Requirement already satisfied: stevedore>=1.20.0 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.32.0)
  q7 j5 \. X2 }1 l1 }Requirement already satisfied: pyparsing>=2.1.0 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (2.4.7)1 w* S6 h  A3 Q9 F* P9 D2 Y2 l
Requirement already satisfied: PyYAML>=3.12 in /usr/lib64/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (5.4.1)
9 M  S) D# H+ L3 Q! KRequirement already satisfied: cmd2!=0.8.3,<0.9.0,>=0.8.0 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.8.9)
( C0 O8 j3 U8 N7 ~- @Requirement already satisfied: unicodecsv>=0.8.0; python_version < "3.0" in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.14.1)
+ _6 e0 g$ n) O7 Y! G9 SRequirement already satisfied: PrettyTable<0.8,>=0.7.2 in /usr/lib/python2.7/site-packages (from cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.7.2)
. H# M4 Z2 ]% D% \' JRequirement already satisfied: simplejson>=3.5.1 in /usr/lib64/python2.7/site-packages (from osc-lib>=2.0.0->python-openstackclient) (3.10.0)" B) j; Q6 S& E- t" u' e* d) R: W
Requirement already satisfied: keystoneauth1>=3.7.0 in /usr/lib/python2.7/site-packages (from osc-lib>=2.0.0->python-openstackclient) (4.0.1)
: H" W  `( h- j3 S0 |+ U6 x# JRequirement already satisfied: requests!=2.20.0,>=2.14.2 in /usr/lib/python2.7/site-packages (from python-cinderclient>=3.3.0->python-openstackclient) (2.26.0)
6 ?3 Y/ V- l5 v! x: sRequirement already satisfied: futures>=3.0.0; python_version == "2.7" or python_version == "2.6" in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (3.3.0): e& |1 F% k& R: L* G
Requirement already satisfied: requestsexceptions>=1.2.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.4.0)
# C* X3 q/ J1 f" h+ I+ fRequirement already satisfied: munch>=2.1.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (2.5.0)
1 v- E  b3 z, }! r2 {Requirement already satisfied: jmespath>=0.9.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.10.0)7 S- s# }, W5 q9 I* R
Requirement already satisfied: iso8601>=0.1.11 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.1.14)% n& X8 @% M3 F! Z# O1 j
Requirement already satisfied: jsonpatch!=1.20,>=1.16 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.32)
! r0 A; z0 n. H2 ]Requirement already satisfied: cryptography>=2.1 in /usr/lib64/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (3.3.2)
& Q. |) j3 m  i! aRequirement already satisfied: decorator>=4.4.1 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (4.4.2): f! _( ]1 c: ~" ?
Requirement already satisfied: dogpile.cache>=0.6.5 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.9.2)( X- B: ^5 b' h7 K, ]
Requirement already satisfied: appdirs>=1.3.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.4.4)) B1 `7 i+ n! N. J: Q6 O% c/ K
Requirement already satisfied: os-service-types>=1.7.0 in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.7.0)
# J) c  [: _8 _1 w$ h! [Requirement already satisfied: netifaces>=0.10.4 in /usr/lib64/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (0.10.9)  o6 J$ j' N/ O) E2 e
Requirement already satisfied: ipaddress>=1.0.17; python_version < "3.3" in /usr/lib/python2.7/site-packages (from openstacksdk>=0.36.0->python-openstackclient) (1.0.23)
9 u% M+ D, u( x6 i, U- Z' E! NRequirement already satisfied: oslo.serialization!=2.19.1,>=2.18.0 in /usr/lib/python2.7/site-packages (from python-novaclient>=15.1.0->python-openstackclient) (2.29.3). X7 I3 b" {& P/ `4 c* e
Requirement already satisfied: funcsigs>=1.0.0; python_version == "2.7" or python_version == "2.6" in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (1.0.2)6 Q, |, b% b: h7 I
Requirement already satisfied: pytz>=2013.6 in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (2021.1)* \: ?' ]7 A  l8 l& }
Requirement already satisfied: netaddr>=0.7.18 in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (0.8.0)$ D2 D, O( W; Q( |1 u
Requirement already satisfied: debtcollector>=1.2.0 in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (1.22.0)
3 c" D2 J  X2 ~* Q: c' BRequirement already satisfied: monotonic>=0.6; python_version < "3.3" in /usr/lib/python2.7/site-packages (from oslo.utils>=3.33.0->python-openstackclient) (1.6)' b4 P4 f' l( H
Requirement already satisfied: oslo.config>=5.2.0 in /usr/lib/python2.7/site-packages (from python-keystoneclient>=3.22.0->python-openstackclient) (7.0.0)# [+ }+ [0 c- B6 h+ w
Requirement already satisfied: subprocess32; python_version < "3.0" in /usr/lib64/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (3.5.4)
, q; N4 i2 t" pRequirement already satisfied: contextlib2; python_version < "3.5" in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.6.0.post1)
% [6 I0 i1 Z5 WRequirement already satisfied: enum34; python_version < "3.4" in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.1.10)
$ H0 H2 r% z1 D0 {' B; N' M6 T+ |Requirement already satisfied: pyperclip in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.8.2)5 V9 E4 X. A0 {) x
Requirement already satisfied: wcwidth; sys_platform != "win32" in /usr/lib/python2.7/site-packages (from cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (0.2.5)3 u. t/ N5 ^; n  O6 |4 ]* S+ F
Requirement already satisfied: certifi>=2017.4.17 in /usr/lib/python2.7/site-packages (from requests!=2.20.0,>=2.14.2->python-cinderclient>=3.3.0->python-openstackclient) (2021.5.30)
. E! @' x4 W( I, {2 X) c5 O2 jRequirement already satisfied: urllib3<1.27,>=1.21.1 in /usr/lib/python2.7/site-packages (from requests!=2.20.0,>=2.14.2->python-cinderclient>=3.3.0->python-openstackclient) (1.26.6)
- p* F# j  B, B: U% HRequirement already satisfied: idna<3,>=2.5; python_version < "3" in /usr/lib/python2.7/site-packages (from requests!=2.20.0,>=2.14.2->python-cinderclient>=3.3.0->python-openstackclient) (2.10)
* {4 C  X+ t7 b. H) pRequirement already satisfied: chardet<5,>=3.0.2; python_version < "3" in /usr/lib/python2.7/site-packages (from requests!=2.20.0,>=2.14.2->python-cinderclient>=3.3.0->python-openstackclient) (4.0.0)! _# _# I. b7 d, i
Requirement already satisfied: jsonpointer>=1.9 in /usr/lib/python2.7/site-packages (from jsonpatch!=1.20,>=1.16->openstacksdk>=0.36.0->python-openstackclient) (2.1)6 Q# D5 A1 ~% K9 |1 N
Requirement already satisfied: cffi>=1.12 in /usr/lib64/python2.7/site-packages (from cryptography>=2.1->openstacksdk>=0.36.0->python-openstackclient) (1.14.6)
( v  H" ?- D$ VRequirement already satisfied: msgpack>=0.5.2 in /usr/lib/python2.7/site-packages (from oslo.serialization!=2.19.1,>=2.18.0->python-novaclient>=15.1.0->python-openstackclient) (1.0.2)
0 q: J! {) s6 o1 M* W' _) CRequirement already satisfied: importlib-resources; python_version < "3.7" in /usr/lib/python2.7/site-packages (from netaddr>=0.7.18->oslo.utils>=3.33.0->python-openstackclient) (3.3.1)
1 ]+ M+ b2 H4 j9 p9 xRequirement already satisfied: wrapt>=1.7.0 in /usr/lib64/python2.7/site-packages (from debtcollector>=1.2.0->oslo.utils>=3.33.0->python-openstackclient) (1.12.1)
. z4 {8 b  \: URequirement already satisfied: rfc3986>=1.2.0 in /usr/lib/python2.7/site-packages (from oslo.config>=5.2.0->python-keystoneclient>=3.22.0->python-openstackclient) (1.4.0)
8 \# z! K! `4 r9 q  ]3 ARequirement already satisfied: backports.functools-lru-cache>=1.2.1; python_version < "3.2" in /usr/lib/python2.7/site-packages (from wcwidth; sys_platform != "win32"->cmd2!=0.8.3,<0.9.0,>=0.8.0->cliff!=2.9.0,>=2.8.0->python-openstackclient) (1.6.4)
" t8 r9 g: [; u% e" B; hRequirement already satisfied: pycparser in /usr/lib/python2.7/site-packages (from cffi>=1.12->cryptography>=2.1->openstacksdk>=0.36.0->python-openstackclient) (2.20)# k) A  S7 s9 X4 w" F( n: |% y
Requirement already satisfied: singledispatch; python_version < "3.4" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-openstackclient) (3.6.1)7 k  v; |: F" A# p
Requirement already satisfied: zipp>=0.4; python_version < "3.8" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-openstackclient) (1.2.0)/ {8 O8 X/ g5 L$ m! G/ G
Requirement already satisfied: pathlib2; python_version < "3" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-openstackclient) (2.3.5)
3 Z& M' u3 o# i4 ?, A5 c# [Requirement already satisfied: typing; python_version < "3.5" in /usr/lib/python2.7/site-packages (from importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-openstackclient) (3.7.4.3)
; D  H6 f$ f$ y. o9 }Requirement already satisfied: scandir; python_version < "3.5" in /usr/lib64/python2.7/site-packages (from pathlib2; python_version < "3"->importlib-resources; python_version < "3.7"->netaddr>=0.7.18->oslo.utils>=3.33.0->python-openstackclient) (1.10.0)
  S9 Z( ?7 d2 c) `$ S
1 E# c; j( A4 N) c& |% J: {再次执行openstack complete 命令,成功:
& ~' [! Q- R9 C& I7 e/ P1 `+ S
& ?- P# E5 n1 U: {  t[root@controller1 ~]# openstack complete7 A, H( R( y4 o1 p2 U& K
The 'openstack bgp speaker show dragents' CLI is deprecated and will be removed in the future. Use 'openstack bgp dragent list' CLI instead.
) C. j8 ?. x5 p" @. j_openstack()1 p( L4 s7 G& S9 p
{* _9 e: b  }3 N& M0 K# w
  local cur prev words1 a, P- s0 B+ w4 u
  COMPREPLY=()6 g7 m( ?1 E+ J7 B4 W
  _get_comp_words_by_ref -n : cur prev words
! p" ]/ u/ }+ M7 ]( O7 f  # Command data:6 O' s7 W  q, p9 ~& J+ a
0 T" z. B5 P/ l: _/ J& w# d
}
% L0 j) I5 F% J2 N$ Ocomplete -F _openstack openstack
6 b. ~8 m2 r6 v; G/ X
& q* |' Q; Z5 g* w8 }  e' _* T# O0 Y$ F

" j$ \' R( q) q9 ~: C0 Z问题解决& @9 Q7 ^5 {- `% F$ }

( n! f4 q2 _# R5 v2 X& l注意重新安装的时候,yum clean all下这些yum缓存。! b4 R: G9 ]) @' |- S# D
/ |4 m  @) [( Y/ k% j9 t2 Q
其他正常安装即可。
2 F& g0 D( O: C# u$ e0 @8 n" q+ C7 _* [3 b
您需要登录后才可以回帖 登录 | 开始注册

本版积分规则

关闭

站长推荐上一条 /4 下一条

如有购买积分卡请联系497906712

QQ|返回首页|Archiver|手机版|小黑屋|易陆发现 点击这里给我发消息

GMT+8, 2021-11-28 19:43 , Processed in 0.060584 second(s), 22 queries .

Powered by LR.LINUX.cloud bbs168x X3.2 Licensed

© 2012-2022 Comsenz Inc.

快速回复 返回顶部 返回列表